[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.DeleteCol

Prevents column deletion in control.

## Declaration

Source position: valedit.pas line 185

`public procedure TValueListEditor.DeleteCol(`
`Index: Integer`
`); override;`

## Arguments

`Index` |  | Position of the column to be deleted.

## Description

DeleteCol is an overridden procedure in TValueListEditor. Deleting a column is not a valid operation in TValueListEditor, and is overridden to block access to the inherited method.

DeleteCol raises an EGridException exception with the message in rsVLEInvalidRowColOperation.

## Errors

Raises an EGridException exception with the message in rsVLEInvalidRowColOperation.

## See also

EGridException
rsVLEInvalidRowColOperation |  | Exception message for an invalid row or column operation.